import chalk from 'chalk';
import figures from 'figures';
export const problemsOption = '❓ Show problems';
export const rankingOption = '📊 Show ranking';
export const afterTimeRankingOption = '⏱️ Show ranking after time';
export const sendSolutionOption = '📦 Send solution';
export const descriptionOption = '📄 Show description';
export const downloadCodeOption = '💾 Download code';
export const showSubmissionDetailsOption = '📄 Show submission details';
export const showQuestionsOption = '🤔 Show questions';
export const askQuestionOption = '❔ Ask question';
export const submissionsOption = `${chalk.green(figures.nodejs)} Show submissions`;
export const favouriteAddOption = `${chalk.yellow(figures.star)} Add to favourites`;
export const favouriteRemoveOption = `${chalk.red(figures.star)} Remove from favourites`;
export const nextPageOption = `${figures.arrowRight} Next page`;
export const previousPageOption = `${figures.arrowLeft} Previous page`;
export const quitOption = `${chalk.red(figures.cross)} Quit`;
export const backOption = `${chalk.blue(figures.triangleLeft)} Back`;
//# sourceMappingURL=options.js.map