import axios from 'axios';
import { printError } from '../utils/messages.js';
const getSolveData = async (SessionId, route, suffix = '', params) => {
    return await axios
        .get(route + suffix, {
        baseURL: 'https://solve.edu.pl/',
        headers: {
            Cookie: `PHPSESSID=${SessionId};`,
        },
        params,
    })
        .then((res) => res.data)
        .catch((error) => {
        printError(error.message);
    });
};
export default getSolveData;
//# sourceMappingURL=getSolveData.js.map