import chalk from 'chalk';
import figures from 'figures';
export const printInfo = (label, value) => {
    console.log(chalk.cyan(label), ':', chalk.green(value));
};
export const printValue = (label, value) => {
    console.log(chalk.blue(figures.info), chalk.cyan(label), ':', chalk.green(value));
};
export const printTip = (message) => {
    console.log(chalk.blue(figures.info), chalk.cyan(message));
};
export const printError = (error) => {
    console.log(chalk.red(figures.cross), chalk.redBright(error));
};
export const printSuccess = (message) => {
    console.log(chalk.green(figures.tick), chalk.greenBright(message));
};
//# sourceMappingURL=messages.js.map